using System;
using System.IO;
using Avalonia.Controls;

namespace Cryptura;

public class Core
{
    public static bool IsRunningOnGnome()
    {
        var xdgDesktop = Environment.GetEnvironmentVariable("XDG_CURRENT_DESKTOP");
        return xdgDesktop != null && xdgDesktop.Contains("GNOME", StringComparison.OrdinalIgnoreCase);
    }

    public static void SetClipboardText(string text, Window window)
    {
        window.Clipboard?.SetTextAsync(text);
    }
}

